Subject: RE: bug#5299: 23.1.91; Cannot send bug report - get error no such file /bin/bash

From: "Drew Adams" <[email-masked]>
Date: Sun, 3 Jan 2010 11:55:19 -0800

> > > > emacs -Q
> > > > 
> > > > I tried to send a bug report using Help > Send bug report. 
> > > > When I hit C-c C-c, I got this error:
> > > > 
> > > > Searching for program: no such file or directory, /bin/bash.
> > > 
> > > Does the below help?
> > >   (setq mail-user-agent 'sendmail-user-agent)
> > 
> > No, unfortunately. That raises this error:
> > 
> >  Sending...failed with exit value 1
> > 
> > And this is all there is in the *Messages* buffer about this:
> > 
> >  Sending...
> >  sendmail-send-it: Sending...failed with exit value 1
> 
> Then I don't understand how did it work for you in previous versions,
> in "emacs -Q".  Did it?

Yes. It did and it still does. It works for emacs -Q in Emacs 20, 21, 22, and
23.1. And it has always worked for pretest binaries as well. I used `emacs -Q
--debug-init'.

Normally, when I hit C-c C-c it asks me if I want to send the bug and I answer
`yes'. It then opens a new Outlook message with the To and Subject fields
filled, and with text in the body telling me that my bug report is on the
clipboard. I just use C-a C-v in the body to replace that text with the report,
then click Send.

In the Emacs 23.1.91 pretest, , when I answer `yes' it raises the error.